import { Component, OnInit, Output, EventEmitter, Input, ContentChild, ElementRef } from '@angular/core';
import { User } from '../models/user.model';

@Component({
  selector: 'app-user-form',
  templateUrl: './user-form.component.html',
  styleUrls: ['./user-form.component.sass']
})
export class UserFormComponent implements OnInit {


  @Output() onUserAdded: EventEmitter<User> = new EventEmitter<User>(); 
  @Output() nameChange:EventEmitter<string> = new EventEmitter<string>();

  @Input() name: string;

  age:number = 45;

  user: User;

  isWarning: boolean = true;

  title: string = "Форма добавления пользователя";

  @ContentChild('fromParent')
  fromParent: ElementRef;

  constructor() { 

  }

  ngOnInit(): void {
  }

  save(event) {
    
    this.user = new User(this.name, this.age);
    this.onUserAdded.emit(this.user);

    this.fromParent.nativeElement.textContent = "Hello Parent";
    
  }

  onChange(event) {
    this.name = event.target.value;
    //console.log(event.target.value);
  }

  onNameUserChange($event : string) {
      this.name = $event;
      this.nameChange.emit($event);
  }

}
